#ifndef TESTCHARM_H
#define TESTCHARM_H

#include "charm++.h"
#include "charm.decl.h"
#include "common.h"

class Msg : public CMessage_Msg
{
  public:
    int data;
};

class Testcharm : public Chare
{
  public:
    Testcharm(Msg *msg);
    void test1(Msg *msg);
    void test2(Msg *msg);
};

#endif
